import { BodyEncoder, BodyDecoder } from "../../../api/converter/body";
export interface FloatConverterOptions {
}
export declare class FloatConverter implements BodyEncoder<number>, BodyDecoder<number> {
    options?: FloatConverterOptions | undefined;
    static _instance32: FloatConverter;
    constructor(options?: FloatConverterOptions | undefined);
    encode(value: number): Uint8Array;
    decode(body: Uint8Array): number;
    /**
     *
     * @see https://stackoverflow.com/questions/3096646/how-to-convert-a-floating-point-number-to-its-binary-representation-ieee-754-i
     * @param number
     */
    static toArray(number: number): number;
    static toFloat(val: Uint8Array): number;
    static numberToFloat(val: number): number;
    static instance32(): FloatConverter;
}
